<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.1/1829459
 */

return array(
    'activity' => array(
        'ignored_users' => array('git-fusion-user')
    ),
    'router' => array(
        'routes' => array(
            'activity' => array(
                'type' => 'Zend\Router\Http\Segment',
                'options' => array(
                    'route'    => '/activity[/]',
                    'defaults' => array(
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index',
                    ),
                ),
            ),
            'activity-rss' => array(
                'type' => 'Zend\Router\Http\Segment',
                'options' => array(
                    'route'    => '/activity/rss[/]',
                    'defaults' => array(
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index',
                        'rss'        => true
                    ),
                ),
            ),
            'activity-stream' => array(
                'type' => 'Zend\Router\Http\Segment',
                'options' => array(
                    'route'    => '/activity/streams[/:stream][/]',
                    'defaults' => array(
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index'
                    ),
                ),
            ),
            'activity-stream-rss' => array(
                'type' => 'Zend\Router\Http\Segment',
                'options' => array(
                    'route'    => '/activity/streams/[:stream/]rss[/]',
                    'defaults' => array(
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index',
                        'rss'        => true
                    ),
                ),
            )
        ),
    ),
    'controllers' => array(
        'factories' => [
            Activity\Controller\IndexController::class => Application\Controller\IndexControllerFactory::class,
        ],
    ),
    'view_helpers' => array(
        'factories' => [
            Application\View\Helper\ViewHelperFactory::ACTIVITY => Application\View\Helper\ViewHelperFactory::class,
        ],
    ),
);
